plugins {
    id 'java'
    id 'com.github.johnrengelman.shadow' version '5.2.0'
}

group 'tech.nevets.jaml'
version '0.3.0'

repositories {
    mavenCentral()
    maven {
        url 'https://jitpack.io'
    }
    maven {
        url 'https://repo.nevets.tech/repository/maven-public'
    }
}

sourceCompatibility = targetCompatibility = '17'

tasks.withType(JavaCompile) {
    options.encoding = 'UTF-8'
}

dependencies {
    implementation 'me.carleslc.Simple-YAML:Simple-Yaml:1.7.3'
    implementation 'com.google.code.gson:gson:2.9.0'
    implementation 'net.arikia.dev:drpc:1.0'
}

shadowJar {
    manifest {
        attributes(
                'Main-Class': 'tech.nevets.jaml.JAML'
        )
    }
}